use ExtUtils::MakeMaker;


# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'AUTHOR' => "Stephan Heuel",
    'ABSTRACT_FROM' => "lib/SUGR.pm",


    'NAME'		=> 'SUGR',
    'VERSION_FROM'	=> 'lib/SUGR.pm', # finds $VERSION
    'PMLIBDIRS'         => ['lib', 'Optimize'],
    'EXE_FILES'         => ['script/sugrshell','script/sugr'],
    'INST_HTMLLIBDIR'         => './HTML',
    'INST_HTMLSCRIPTDIR'      => './HTML',
    'PREREQ_PM'		=> { # e.g., Module::Name => 1.1
			    'ExtUtils::F77'    => 1.13,
			    'Math::Random'     => 0.61,
			    'PDL'              => "2.2.1",
                           }
);
