# Makefile.PL for a package defined by PP code.

use ExtUtils::MakeMaker;
use PDL::Core::Dev;            # Pick up development utilities

$package = ["Optimize.pd",Optimize,SUGR::Optimize];

%hash = pdlpp_stdargs($package);
#$hash{PM} .= { 'Optimize.pm' => '$(INST_LIBDIR)/Optimize.pm'};
#$hash{clean}->{FILES} .= ' todelete_Ccode$(OBJ_EXT) ';
#$hash{'VERSION_FROM'} = 'Optimize.pd';
WriteMakefile(%hash);


# Add genpp rule; this will invoke PDL::PP on our PP file
# the argument is an array reference where the array has three string elements:
#   arg1: name of the source file that contains the PP code
#   arg2: basename of the xs and pm files to be generated
#   arg3: name of the package that is to be generated
sub MY::postamble { pdlpp_postamble($package) };

